#
# spec file for package python-pytest-timeout
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-pytest-timeout
Version:        1.3.4
Release:        lp152.1.1
Summary:        Pytest plugin to abort hanging tests
License:        MIT
URL:            https://github.com/pytest-dev/pytest-timeout/
Source:         https://files.pythonhosted.org/packages/source/p/pytest-timeout/pytest-timeout-%{version}.tar.gz
BuildRequires:  %{python_module pexpect}
BuildRequires:  %{python_module pytest >= 3.6.0}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-pytest >= 3.6.0
BuildArch:      noarch
%python_subpackages

%description
This is a plugin which will terminate tests after a certain timeout.
When doing so it will show a stack dump of all threads running at the
time.  This is useful when running tests under a continuous
integration server or simply if you don't know why the test suite
hangs.

Note that while by default on POSIX systems py.test will continue to
execute the tests after a test has timed, out this is not always
possible.  Often the only sure way to interrupt a hanging test is by
terminating the entire process.  As this is a hard termination
(``os._exit()``) it will result in no teardown, JUnit XML output etc.
But the plugin will ensure you will have the debugging output on
stderr nevertheless, which is the most important part at this stage.
See below for detailed information on the timeout methods and their
side-effects.

%prep
%setup -q -n pytest-timeout-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
export PYTHONDONTWRITEBYTECODE=1
%pytest

%files %{python_files}
%license LICENSE
%doc README.rst
%{python_sitelib}/pytest_timeout-%{version}-py*.egg-info
%{python_sitelib}/pytest_timeout.py*
%pycache_only %{python_sitelib}/__pycache__/pytest_timeout*.py*

%changelog
* Thu Jan  9 2020 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.3.4:
  * upstream moved to github
  * support newer pytest releases
- Drop merged patch pytest4.patch
* Tue Feb 12 2019 Tomáš Chvátal <tchvatal@suse.com>
- Fix build with pytest4 from upstream:
  * pytest4.patch
* Wed Nov 21 2018 Enno Gotthold <egotthold@suse.com>
- Version update to 1.3.3
  * Fix support for pytest >= 3.10.
* Wed Sep 19 2018 Ondřej Súkup <mimi.vx@gmail.com>
- version update to 1.3.2
  * Fix deprecation warning on Python 3.6.
  * Fix pytest 3.7.3 compatibility.
* Tue Jul 17 2018 scarabeus@opensuse.org
- Version update to 1.3.0:
  * Fixes for python3.7
  * Various small fixes
* Sun Dec  3 2017 arun@gmx.de
- update to version 1.2.1:
  * Fix for pytest 3.3, thanks Bruno Oliveira.
  * Update supported python versions:
    + Add CPython 3.6.
    + Drop CPyhon 2.6 (as did pytest 3.3)
    + Drop CPyhon 3.3
    + Drop CPyhon 3.4
* Wed Sep  6 2017 toddrme2178@gmail.com
- Fix building
* Mon Aug 28 2017 toddrme2178@gmail.com
- Initial version
